summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-ruby/asciidoctor/Manifest1
-rw-r--r--dev-ruby/asciidoctor/asciidoctor-2.0.16.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-ruby/asciidoctor/Manifest b/dev-ruby/asciidoctor/Manifest
index ba95a9f8e9c..666bec8afd5 100644
--- a/dev-ruby/asciidoctor/Manifest
+++ b/dev-ruby/asciidoctor/Manifest
@@ -2,3 +2,4 @@ DIST asciidoctor-2.0.10.tar.gz 613180 BLAKE2B 46125c85276eb0c7cf4404ca04d8544492
DIST asciidoctor-2.0.11.tar.gz 625446 BLAKE2B 4c4a3a7e019971765efade92da39d5895f54bd3eb927eb1ecc1cc3e3998490fcdb93426c03c9fca82d777b28c6c8027f34d39289b2250254884613670eacf9d6 SHA512 eef126653fb75c4d4bce5481f9e12f1852cf5794f547e1131f2e3f5bc34c3813e32034e6890432e83fc543b4a5dcca46750d052844d7055bfe20ea4b0c4428f2
DIST asciidoctor-2.0.12.tar.gz 625448 BLAKE2B 242ee146465685c7b5326c343df1e1e1bcd74d85c2bfae3fd3e661c63a11c82fba6a2ff9ddb0cd0131289ef09b14b6039a0c54e35471b000166584ae3530d6cd SHA512 b1fdfd8907d19943bebc9040e3e541df81eb874bf9d53a174e5be8a804e117e7ee3cd21046a4a4142cdc285e6269796d06915b0f42f4f16ae1e8975e444a8a76
DIST asciidoctor-2.0.15.tar.gz 1633310 BLAKE2B 58029acdf3832459dde5df2835749bb781ccbaa547fa4a09dc10a69fbef36ed690fac7cd0e2b3da1a5de847be678d0ad410c17c6768e466fffc7ad30b5d9d4bf SHA512 4cd0ce922d5db5bc5b31ebc75707c2e9e2a94a2a28eeb68ed25f55c46c416c950d28b880c4b1ab52bbcdda9ee4ee7b1c297049754d214983b68eedf2d96492d8
+DIST asciidoctor-2.0.16.tar.gz 1651396 BLAKE2B 6da2971c38e48497b482ca1bc22916a10c3505d7bd4fa802ffd4939a0c0986d650a30b5870fea7979046c4b61c6e97aec08d9ba345ce350de6721d545c2923b5 SHA512 95003640632cc99f1edd2447156135267ad78f24983418817f19256fab6e313b8faab9f676317e7cc610728abb8b047f2d2f481f4700009a2d6bdd3b9efcc463
diff --git a/dev-ruby/asciidoctor/asciidoctor-2.0.16.ebuild b/dev-ruby/asciidoctor/asciidoctor-2.0.16.ebuild
new file mode 100644
index 00000000000..4ab9f1c8185
--- /dev/null
+++ b/dev-ruby/asciidoctor/asciidoctor-2.0.16.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_TEST="CUCUMBER_PUBLISH_QUIET=true test features"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc README.adoc"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_GEMSPEC="asciidoctor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Processor for converting AsciiDoc into HTML 5, DocBook 4.5 and other formats"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-util/cucumber
+ dev-ruby/rspec-expectations:*
+ dev-ruby/asciimath
+ dev-ruby/coderay
+ dev-ruby/concurrent-ruby
+ dev-ruby/erubis
+ dev-ruby/haml
+ dev-ruby/nokogiri
+ dev-ruby/rouge
+ dev-ruby/slim
+ dev-ruby/tilt )"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ doman man/asciidoctor.1
+}